## org.apache.batik.css.engine
Class StringIntMap.Entry

    java.lang.Object
      org.apache.batik.css.engine.StringIntMap.Entry

Enclosing class:
  StringIntMap

    protected static class StringIntMap.Entry

extends java.lang.Object

To manage collisions

Field Summary
`int` `hash` The hash code, must not change after init.
`java.lang.String` `key` The key
`StringIntMap.Entry` `next` The next entry - changed, when table[] is reordered.
`int` `value` The value, not changed after creation.

Constructor Summary
`StringIntMap.Entry(int hash, java.lang.String key, int value, StringIntMap.Entry next)` Creates a new entry

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### hash

    public final int hash

  The hash code, must not change after init.

### key

    public java.lang.String key

  The key

### value

    public int value

  The value, not changed after creation.

### next

    public StringIntMap.Entry next

  The next entry - changed, when table[] is reordered.

Constructor Detail

### StringIntMap.Entry

    public StringIntMap.Entry(int hash,
                              java.lang.String key,
                              int value,
                              StringIntMap.Entry next)

  Creates a new entry

Copyright © 2008 Apache Software Foundation. All Rights Reserved.